## gate.gui
Class DocumentEditor.SelectionBlinker

    java.lang.Object
      |
      +--gate.gui.DocumentEditor.SelectionBlinker

All Implemented Interfaces:
  Runnable

Enclosing class:
  DocumentEditor

class DocumentEditor.SelectionBlinker
extends Object
implements Runnable

This class handles the blinking for the selected annotations in the text display.

Field Summary
`(package private) ArrayList` `actualHighlights`
`(package private) Highlighter.Highlight[]` `highlights`
`(package private) Thread` `thread`

Constructor Summary
`(package private)` `DocumentEditor.SelectionBlinker()`

Method Summary
`protected void` `hideHighlights()`
`void` `run()`
`protected void` `showHighlights()`
`void` `testAndStart()` If there is no running thread then starts one and stores it in the `thread` member.

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### actualHighlights

    ArrayList actualHighlights

### thread

    Thread thread

### highlights

    Highlighter.Highlight[] highlights

Constructor Detail

### DocumentEditor.SelectionBlinker

    DocumentEditor.SelectionBlinker()

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### testAndStart

    public void testAndStart()

  If there is no running thread then starts one and stores it in the `thread` member.

### showHighlights

    protected void showHighlights()

### hideHighlights

    protected void hideHighlights()